# mpi4py.MPI.Exception

exception mpi4py.MPI.Exception

  Bases: `RuntimeError`

  Exception class.

  __init__(ierr=SUCCESS, /)
    Parameters:

      ierr (int)

    Return type:

      None

  Methods Summary

  `Get_error_class`() | Error class.
  `Get_error_code`() | Error code.
  `Get_error_string`() | Error string.

  Attributes Summary

  `error_class` | Error class.
  `error_code` | Error code.
  `error_string` | Error string.

  Methods Documentation

  Get_error_class()

    Error class.

    Return type:

      int

  Get_error_code()

    Error code.

    Return type:

      int

  Get_error_string()

    Error string.

    Return type:

      str

  Attributes Documentation

  error_class

    Error class.

  error_code

    Error code.

  error_string

    Error string.